"""
FDApy package.

It includes the modules:
    - representation: used for the definition of the different representation
    of FunctionalData object such Dense or Irregular functional data.
    - preprocessing: used for preprocessing algorithms such as fPCA for
    dimension reduction or smoothing techniques.
    - visualization: used for the visualization of the data or results.
    - clustering: used for unsupervised algorithms.
    - misc: used for the rest, in particular, it includes the different loader
    functions.
And it includes the classes:
    - DenseFunctionalData: Representation of dense functional data of given
    dimension.
    - IrregularFunctionalData: Representation of irregularly sampled
    functional data of given dimension.
    - MultivariateFunctionalData: Representation of multivariate functional
    data as a list of Dense/Irregular functional ones.
"""
